Subject: Re: efax on cygwin
From: Cliff Hones <[email-masked]>
To: [email-masked]
Date: Mon, 03 May 2004 12:13:35 +0100

Alessio Sangalli wrote:

> Igor Pechtchanski wrote:
> 
> 
>> Try "ln -s /dev/ttyS0 /dev/modem".  FWIW, RedHat 7.2 Linux doesn't have
>> /dev/modem, and neither do some other Linuces/Unices, so the above
>> program
>> is non-portable to say the least.
> 
> 
> Uh? I want this program to run under WINDOWS on the cygwin
> environment... I know how to let it work on linux!!
> 
> Sorry if this is the wrong mailing list, I thought we were talking about
> the cygwin that runs on windows.....

Did you actually try Igor's suggestion?  You may need to create
a real /dev directory.  After adding the symbolic link efax
may be able to correctly open the modem.  Note that Cygwin's
devices are virtual, so you don't actually need a real /dev/ttyS0
file.

Igor was pointing out that it isn't just Cygwin that efax doesn't
port to directly, since /dev/modem doesn't necessarily exist.

-- Cliff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/